View Issue Details

IDProjectCategoryView StatusLast Update
0020480mantisbtcode cleanuppublic2016-06-12 00:43
ReportercproensaAssigned Tocproensa 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020480: Plugin filter fields throw warnings while rendering filter section
Description

When registered a filter field through plugin event (EVENT_FILTER_FIELDS), the rendering of filter section throws some warnings:

SYSTEM NOTICE: 'Undefined offset: 0' in '/var/www/html/git/mantis13_cpm/core/filter_api.php' line 3026
SYSTEM NOTICE: 'Undefined offset: 0' in '/var/www/html/git/mantis13_cpm/core/filter_api.php' line 3034
TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 0395fa06

2016-01-05 07:30:22

cproensa


Committer: dregad Details Diff
Fix warnings on rendering plugin filter fields

When registering a field through EVENT_FILTER_FIELDS plugin event,
the rendering of the filter section throws some warnings:
SYSTEM NOTICE: 'Undefined offset: 0'

Correction is made for the initialization of array variables.

Fixes 0020480

Signed-off-by: Damien Regad <dregad@mantisbt.org>
mod - core/filter_api.php Diff File

Issue History

Date Modified Username Field Change
2016-01-05 10:24 cproensa New Issue
2016-01-05 10:37 cproensa Note Added: 0052256
2016-01-05 11:47 dregad Changeset attached => MantisBT master 0395fa06
2016-01-05 11:47 dregad Assigned To => dregad
2016-01-05 11:47 dregad Status new => resolved
2016-01-05 11:47 dregad Resolution open => fixed
2016-01-05 11:47 dregad Fixed in Version => 1.3.0-rc.2
2016-01-05 11:48 dregad Assigned To dregad => community
2016-01-05 11:48 dregad Target Version => 1.3.0-rc.2
2016-01-19 15:21 atrol Assigned To community => cproensa
2016-06-12 00:43 vboctor Status resolved => closed